3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php /** * PHP DOM and JavaScript with HTML entities * * @link http://stackoverflow.com/q/18487515/367456 */ # 3v4l.org low php version stopper if (version_compare(PHP_VERSION, '5.0.5', '<=')) return; $doc = new DOMDocument("1.0"); $doc->loadXML('<head/>'); $javascriptCode = "\n if (1 < 4) {\n alert(\"hello\");\n }\n"; $script = $doc->createElement('script'); $script->appendChild($doc->createCDATASection($javascriptCode)); $heads = $doc->getElementsByTagName('head'); $head = $heads->item(0); $scriptInHead = $head->appendChild($script); echo 'libxml: ', LIBXML_DOTTED_VERSION, "\n" , "\nXML:\n", $doc->saveXML() , "\nHTML:\n", $doc->saveHTML() ;
Output for 5.5.31, 5.6.17, 7.0.1 - 7.0.3, hhvm-3.11.0
libxml: 2.9.3 XML: <?xml version="1.0"?> <head><script><![CDATA[ if (1 < 4) { alert("hello"); } ]]></script></head> HTML: <head><script> if (1 < 4) { alert("hello"); } </script></head>
Output for 5.4.0 - 5.5.30, 5.6.0 - 5.6.16, 7.0.0, hhvm-3.6.1 - 3.10.0
libxml: 2.9.2 XML: <?xml version="1.0"?> <head><script><![CDATA[ if (1 < 4) { alert("hello"); } ]]></script></head> HTML: <head><script> if (1 < 4) { alert("hello"); } </script></head>
Output for 5.3.25 - 5.3.29
libxml: 2.9.1 XML: <?xml version="1.0"?> <head><script><![CDATA[ if (1 < 4) { alert("hello"); } ]]></script></head> HTML: <head><script> if (1 < 4) { alert("hello"); } </script></head>
Output for 5.3.15 - 5.3.24
libxml: 2.8.0 XML: <?xml version="1.0"?> <head><script><![CDATA[ if (1 < 4) { alert("hello"); } ]]></script></head> HTML: <head><script> if (1 < 4) { alert("hello"); } </script></head>
Output for 5.1.0 - 5.3.14
libxml: 2.7.8 XML: <?xml version="1.0"?> <head><script><![CDATA[ if (1 < 4) { alert("hello"); } ]]></script></head> HTML: <head><script> if (1 < 4) { alert("hello"); } </script></head>
Output for 4.3.0 - 5.0.5